Summary: GOB2, The GObject Builder
Summary(ja): GOB2 - GObject ビルダ
Name: gob2
Version: 2.0.20
Release: 1%{?_dist_release}
License: GPLv2+
Group: Development/Tools
Source: http://ftp.gnome.org/pub/GNOME/sources/gob2/2.0/%{name}-%{version}.tar.xz
Url: http://www.5z.com/jirka/gob.html

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel 
BuildRequires: bison, flex

%description
GOB is a simple preprocessor for making GObject objects (glib objects).
It makes objects from a single file which has inline C code so that
you don't have to edit the generated files.  Syntax is somewhat inspired
by java and yacc.  It supports generating C++ code

%prep
%setup -q

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README AUTHORS COPYING NEWS TODO ChangeLog
%doc examples
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/aclocal/*

%changelog
* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.0.20-1
- update to 2.0.20

* Tue Jun 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.0.18-1
- update to 2.0.18

* Sun Jul 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.0.17-1
- new upstream release
- fix URL of Source

* Thu Mar 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.0.16-1
- new upstream release

* Sat May 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.15-1
- initial build for Vine Linux

* Wed Feb 13 2008 Tomas Smetana <tsmetana@redhat.com> - 2.0.15-2
- rebuild (gcc-4.3)

* Mon Dec 03 2007 Tomas Smetana <tsmetana@redhat.com> - 2.0.15-1
- new upstream version

* Wed Aug 29 2007 Tomas Smetana <tsmetana@redhat.com> - 2.0.14-4
- rebuild (because of BuildID)

* Mon Aug 20 2007 Tomas Smetana <tsmetana@redhat.com> - 2.0.14-3
- license tag update

* Wed Apr 18 2007 Harald Hoyer <harald@redhat.com> - 2.0.14-2
- specfile review

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.14-1.1
- rebuild

* Mon May 29 2006 Harald Hoyer <harald@redhat.com> - 2.0.14-1
- more build requires (bug #193395)
- new version 2.0.14

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.0.12-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.0.12-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 16 2005 Harald Hoyer <harald@redhat.com>
- version 2.0.12

* Wed Mar 02 2005 Harald Hoyer <harald@redhat.com> 
- rebuilt

* Wed Feb 09 2005 Harald Hoyer <harald@redhat.com>
- rebuilt

* Mon Nov 22 2004 Harald Hoyer <harald@faro.stuttgart.redhat.com> - 2.0.11-1
- version 2.0.11

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 29 2004 Harald Hoyer <harald@faro.stuttgart.redhat.com> - 2.0.6-3
- BuildRequires glib2-devel (111009)

* Wed Aug  6 2003 Harald Hoyer <harald@redhat.de> 2.0.6-2
- rebuild, redhatified specfile

* Fri Sep 28 2001  George Lebl <jirka@5z.com>
- Updated for gob2

* Mon Feb 7 2000  George Lebl <jirka@5z.com>
- added %%{prefix}/share/aclocal/* to %%files

* Tue Dec 14 1999  George Lebl <jirka@5z.com>
- added the examples dir to the %%doc

* Mon Aug 16 1999  George Lebl <jirka@5z.com>
- added gob.spec.in file

